package com.syc.slm.slmbi.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
/**
 * slm-bi
 * Influxdb 配置
 * @author : lin
 * @date : 2021-03-25 10:50
 **/
@Data
@Configuration
public class InfluxdbConfig {

    @Value("${influxdb.host}")
    public String host;
    @Value("${influxdb.port}")
    public String port;
    @Value("${influxdb.username}")
    public String username;
    @Value("${influxdb.password}")
    public String password;
}
