package com.syc.slm.slmbi.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * slm-bi
 * 公共字段
 *
 * @author : lin
 * @date : 2021-03-25 20:16
 **/
@ApiModel(description = "公共的实体类")
@Data
@EqualsAndHashCode(callSuper=true)
public class BaseEntity<T extends Model<?>> extends Model<T> {

    @ApiModelProperty(value = "创建人主键")
    private String creator;
    @ApiModelProperty(value = "创建人名称")
    private String creatorName;
    @ApiModelProperty(value = "创建时间")
    private String createTime;
    @ApiModelProperty(value = "修改人主键")
    private String updater;
    @ApiModelProperty(value = "修改人名称")
    private String updaterName;
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    @ApiModelProperty(value = "状态")
    private Integer recordStatus;
    @ApiModelProperty(value = "描述")
    private String description;
}
