package com.syc.slm.slmbi.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板实体类
 *
 * @author : lin
 * @date : 2021-03-25 16:18
 **/
@ApiModel(description = "仪表板entity")
@Data
@EqualsAndHashCode(callSuper=true)
public class InstrumentPanel extends BaseEntity<InstrumentPanel>{
    @ApiModelProperty(value = "仪表板主键")
    private String id ;
    @ApiModelProperty(value = "仪表板名称")
    private String name;
    @ApiModelProperty(value = "仪表板归属分组")
    private String groupId;


}
