package com.syc.slm.slmbi.service;

import com.syc.slm.slmbi.dto.InstrumentPanelPermissionDTO;
import com.syc.slm.slmbi.vo.InstrumentPanelPermissionVo;
import lombok.NonNull;

import java.util.List;

public interface InstrumentPanelPermissionService {
    Boolean saveInstrumentPanelPermission(List<InstrumentPanelPermissionDTO> permissions);

    List<InstrumentPanelPermissionVo> saveCopyOtherInstrumentPanelPermission(@NonNull String instrumentPanelId);

    Boolean saveCopyToOtherInstrumentPanelPermission(List<InstrumentPanelPermissionDTO> permissions, String otherInstrumentPanelId);

    List<InstrumentPanelPermissionVo> selectInstrumentPanelPermissionById(@NonNull String instrumentPanelId);
}
