package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板权限vo
 *
 * @author : lin
 * @date : 2021-03-25 20:39
 **/
@Data
@ApiModel(value = "仪表板权限Vo",description = "仪表板权限Vo")
@EqualsAndHashCode(callSuper=false)
public class InstrumentPanelPermissionVo {
    @ApiModelProperty(value = "存储类型，1代表岗位，2代表部门，3 代表个体用户")
    private Integer permissionType;
    @ApiModelProperty(value = "代表岗位，部门，个体用户id")
    private String bizId;
    @ApiModelProperty(value = "代表岗位，部门，个体用户名称")
    private String bizName;
}
