package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 变量vo
 *
 * @author : lin
 * @date : 2021-03-25 20:45
 **/
@Data
@ApiModel(value = "变量vo",description = "变量vo")
@EqualsAndHashCode(callSuper=false)
public class VariableVo {
    @ApiModelProperty(value = "变量来源")
    private String sourceName;
    @ApiModelProperty(value = "变量名称")
    private String variableName;
    @ApiModelProperty(value = "描述")
    private String description;
    @ApiModelProperty(value = "单位")
    private String unit;
    @ApiModelProperty(value = "数据类型")
    private String dataType;
    @ApiModelProperty(value = "变量类型")
    private String variableType;
    @ApiModelProperty(value = "所属客户")
    private String customer;
    @ApiModelProperty(value = "所属设备")
    private String deviceId;
    @ApiModelProperty(value = "设备编号")
    private String deviceCode;
}
