package com.syc.slm.slmbi.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板权限
 *
 * @author : lin
 * @date : 2021-03-25 19:05
 **/
@Data
@ApiModel(value = "仪表板权限DTO",description = "仪表板权限DTO")
@EqualsAndHashCode(callSuper=false)
public class InstrumentPanelPermissionDTO {
    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "仪表板id")
    private String instrumentPanelId;
    @ApiModelProperty(value = "仪表板名称")
    private String instrumentPanelName;
    @ApiModelProperty(value = "仪表板分组id")
    private String instrumentPanelGroupId;
    @ApiModelProperty(value = "仪表板分组名称")
    private String instrumentPanelGroupName;


    @ApiModelProperty(value = "存储类型，1代表岗位，2代表部门，3 代表个体用户")
    private Integer permissionType;
    @ApiModelProperty(value = "代表岗位，部门，个体用户id")
    private String bizId;
    @ApiModelProperty(value = "代表岗位，部门，个体用户名称")
    private String bizName;

}
