package com.syc.slm.slmbi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.syc.slm.slmbi.dto.InstrumentPanelGroupDTO;
import com.syc.slm.slmbi.entity.InstrumentPanelGroup;
import com.syc.slm.slmbi.vo.InstrumentPanelGroupVo;
import com.syc.slm.slmbi.vo.PanelGroupVo;
import lombok.NonNull;

import java.util.List;

/**
 * slm-bi
 * 仪表板
 *
 * @author : lin
 * @date : 2021-03-25 15:10
 **/
public interface InstrumentPanelGroupService extends IService<InstrumentPanelGroup> {

    List<InstrumentPanelGroupVo> selectInstrumentPanelGroupList();

    Boolean delInstrumentPanelGroup(@NonNull String groupId);

    Boolean updateInstrumentPanelGroup(InstrumentPanelGroupDTO group);

    Boolean saveInstrumentPanelGroup(InstrumentPanelGroupDTO group);

    List<PanelGroupVo> loadTrees(String name);

    List<PanelGroupVo> findNextNodes(String groupId, String name);
}
