package com.syc.slm.slmbi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * slm-bi
 * 仪表板分组tree vo
 *
 * @author : lin
 * @date : 2021-03-30 09:36
 **/

@Data
@ApiModel(value = "仪表板分组tree vo")
@EqualsAndHashCode(callSuper=false)
public class PanelGroupVo {
    @ApiModelProperty(value = "分组或者仪表板主键")
    private Integer id;
    @ApiModelProperty(value = "父级id")
    private String parentId;
    @ApiModelProperty(value = "分组名称")
    private String groupName;
    @ApiModelProperty(value = "仪表板名称")
    private String panelName;
    @ApiModelProperty(value = "1 分组，2 仪表板")
    private Integer type;
}
